Home//Reporting Data Export
Reporting Data Export
Introduction
Changelog (2.16)
Intercom API
Admins
AI Content
Articles
Audiences
Away Status Reasons
Banners
Brands
Calls
Companies
Contacts
Content
Content Snippets
Conversations
Conversations Attributes
Custom Object Instances
Data Attributes
Data Connectors
Data Events
Data Export
Emails
Fin Agent
Help Center
Internal Articles
IP Allowlist
Jobs
Macros
Messages
News
Notes
Office Hours
Segments
Subscription Types
Switch
Tags
Teams
Ticket States
Ticket Type Attributes
Ticket Types
Tickets
Visitors
WhatsApp
Workflows
Models
Everything about Reporting Data Export. See this article for details on using the data to generate various metrics.
For the conversation dataset, from this version onward this export returns all conversations, including those that never received a user reply. Earlier versions return only conversations that received at least one user reply. Other datasets are unaffected.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
By default, it's equal to the version set in the app package.
Default:"2.16"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.16
- The production API serverhttps://api.intercom.io/export/reporting_data/enqueue
- The european API serverhttps://api.eu.intercom.io/export/reporting_data/enqueue
- The australian API serverhttps://api.au.intercom.io/export/reporting_data/enqueue
curl -i -X POST \
https://api.intercom.io/export/reporting_data/enqueue \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'Intercom-Version: 2.16' \
-d '{
"dataset_id": "conversation",
"attribute_ids": [
"conversation_id",
"conversation_started_at"
],
"start_time": 1717490000,
"end_time": 1717510000
}'Response
{ "job_identifier": "job1", "status": "pending", "download_url": "string", "download_expires_at": "string" }